
// Fonction de survol
function rollover(id,src) {	
	if(document.getElementById(id).style.backgroundImage!='url(images/fond2.jpg)')
	{ document.getElementById(id).style.backgroundImage='url('+src+')';}


}

// changement de fond de l'onglet cliqué
function clic(id,src) {	
	//mise à jour de l'image de l'onglet
	elList = document.getElementsByTagName("DIV");
	for (i = 0; i < elList.length; i++)
	{
		if(elList[i].id=="depot" || elList[i].id=="retrait")
		{
			elList[i].style.backgroundImage='url(images/fond1.jpg)';
		}
	}
	if(document.getElementById(id).style.backgroundImage!='url(images/fond2.jpg)')
	{ document.getElementById(id).style.backgroundImage='url('+src+')';}


}



// Cette fonction charge dans le cache toutes les images passées en paramètre
function preload() {
	var temp=new load("images/fond3.jpg","images/fond1.jpg", "images/fond2.jpg")
}


/**
* Méthode qui affiche le formulaire de depot
*/
function afficheFormDepot(iddiv,src,idmimi){
	//mise à jour de l'image de l'onglet
	clic(iddiv,src);
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("formulaire").innerHTML = xhr.responseText;
			document.getElementById("alerte").innerHTML =""; 
			
			afficheChocopepites(idmimi);
		}
	}
	xhr.open("POST","afficheFormDepot.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id_mimichant="+idmimi);
}

/**
* Méthode qui affiche traite le depot
*/
function traiterDepot(idmimi){
	//recuperation de la valeur saisie
	var nb=document.getElementById("nbChoco").value;
	
	if(nb=="")
	{
	   document.getElementById("alerte").innerHTML ="Veuillez saisir une somme";
	}
	else
	{
     if (nb.search(/^[0-9]*$/) == -1) 
     {
        document.getElementById("alerte").innerHTML ="La somme saisie ne doit contenir que des chiffres";
      }
      else 
      {
		
		     //mise à jour de l'image des onglets
	       elList = document.getElementsByTagName("DIV");
	       for (i = 0; i < elList.length; i++)
	       {
		       if(elList[i].id=="depot" || elList[i].id=="retrait")
		       {
			       elList[i].style.backgroundImage='url(images/fond1.jpg)';
		       }
	       }
	       //affichage des objets à acheter
	      getXhr()
	      // On défini ce qu'on va faire quand on aura la réponse
	      xhr.onreadystatechange = function(){
		       // On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		        if(xhr.readyState == 4 && xhr.status == 200){
			         document.getElementById("affChoco").innerHTML = xhr.responseText;
			        document.getElementById("formulaire").innerHTML =""; 
			        document.getElementById("alerte").innerHTML ="";
			
		        }
	      }
	      xhr.open("POST","traiterDepot.php",true);
	      xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	      xhr.send("nbChoco="+nb+"&id_mimichant="+idmimi);
	   }
	}
}

/**
* Méthode qui affiche le formulaire de retrait
*/
function afficheFormRetrait(iddiv,src, idmimi){
	//mise à jour de l'image de l'onglet
	clic(iddiv,src);
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("formulaire").innerHTML = xhr.responseText;
			document.getElementById("alerte").innerHTML ="";
			afficheChocopepites(idmimi);
		}
	}
	xhr.open("POST","afficheFormRetrait.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id_mimichant="+idmimi);
}

/**
* Méthode qui affiche traite le retrait
*/
function traiterRetrait(idmimi){
	//recuperation de la valeur saisie
	var nb=document.getElementById("nbChoco").value;
	
	if(nb=="")
	{
	   document.getElementById("alerte").innerHTML ="Veuillez saisir une somme";
	}
	else
	{
	   if (nb.search(/^[0-9]*$/) == -1) 
     {
        document.getElementById("alerte").innerHTML ="La somme saisie ne doit contenir que des chiffres";
      }
      else 
      {
	       //mise à jour de l'image des onglets
	       elList = document.getElementsByTagName("DIV");
	       for (i = 0; i < elList.length; i++)
	       {
	     	   if(elList[i].id=="depot" || elList[i].id=="retrait")
		        {
			        elList[i].style.backgroundImage='url(images/fond1.jpg)';
		        }
	      }
	
  	   //affichage des objets à acheter
	      getXhr()
	      // On défini ce qu'on va faire quand on aura la réponse
	      xhr.onreadystatechange = function(){
		        // On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		       if(xhr.readyState == 4 && xhr.status == 200){
			       document.getElementById("affChoco").innerHTML = xhr.responseText;
			       document.getElementById("formulaire").innerHTML =""; 
			       document.getElementById("alerte").innerHTML ="";
			
		      }
	     }
	     xhr.open("POST","traiterRetrait.php",true);
	     xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	     xhr.send("nbChoco="+nb+"&id_mimichant="+idmimi);
	   }
	}
}

/**
* Méthode qui affiche le nombre de chocopepites
*/
function afficheChocopepites(idmimi){
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("affChoco").innerHTML = xhr.responseText; 
		}
	}
	xhr.open("POST","afficheChocopepites.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id_mimichant="+idmimi);
}


preload()
